mia-2deval-transformquantity(1)

NAME
mia-2deval-transformquantity - Evaluate derivative of a transformation

SYNOPSIS
mia-2deval-transformquantity -i <in-file> -o <out-file> -t <transformation> [options]

DESCRIPTION
mia-2deval-transformquantity Get derivative a transformation obtained by using image registration for any given positions in 2D. The position data is given in CSV format:
   id;time;x;y;reserved The output data will be stored in a binary file with an ascii header describing the data. An example header is given below:

MIA tensorfield {
  dim=2 #number of dimensions of the data
  components=7 #number of components per element
  component_description=vector2,scalar,matrix2x2 #interpretation of components
  elements=20 #number of elements in file
  interpretation=strain #interpretation of elements (strain|derivative)
  style=sparse #storage style (sparse|grid)
  repn=float32 #representation of values
  size=1000 1000 #grid size of the transformation
  endian=low #endianess of binary data (low|big) }

This example header has to be interpreted like follows: two-dimensional data, each entry consists of 7 values the values etry consists of a 2D vector, a scalar, and a 2x2 matrix (saved in row-major format).The data records represent strain tensors, and only a sparse set of points is given. The values are given as single floating point (32 bit). The original transformation field corresponds to images of 1000x1000 pixels and the binary data is stored in low endian format.

OPTIONS

  File-IO

    -i --in-file=(input, required); string
        input point set, if this parameter is given a sparse evaluation of the quantity will be done, otherwise the quantity is evaluated for each grid point of the transformation range.

    -o --out-file=(output, required); string
        output strains file, for a format description see above.

    -t --transformation=(input, required); io
        transformation of which the quantity will be evaluated.
         For supported file types see PLUGINS:2dtransform/io

  Parameters

    -q --quantity=strain
        Specify the quantity to be evaluated at the given points

        derivative - Evaluate the transformation derivative at the given points
        strain - Evaluate the strain tensor at the given points

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 2dtransform/io

bbs Binary (non-portable) serialized IO of 2D transformations

    Recognized file extensions: .bbs

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    Vista storage of 2D transformations

    Recognized file extensions: .v2dt

xml XML serialized IO of 2D transformations

    Recognized file extensions: .x2dt

EXAMPLE
Derivative of the transformation change.v2df for each point given in input.csv are evaluated and written to output.s.

mia-2deval-transformquantity -i input.csv -o output.s --transformation change.v2df

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.